Package oracle.kv.table

# Interface EnumValue

All Superinterfaces:
  `Comparable<FieldValue>`, `FieldValue`

public interface EnumValue extends FieldValue
EnumValue extends `FieldValue` to represent a single value in an enumeration. Enumeration values are represented as strings.

Since:
  3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EnumValue`
  `clone()`
  Returns a deep copy of this object.
  `String`
  `get()`
  Gets the string value of the enumeration.
  `EnumDef`
  `getDefinition()`
  Returns the `EnumDef` instance that defines this value.
  `int`
  `getIndex()`
  Returns the index of the value in the enumeration definition.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface oracle.kv.table.FieldValue

  `asArray, asBinary, asBoolean, asDouble, asEnum, asFixedBinary, asFloat, asIndexKey, asInteger, asLong, asMap, asNumber, asPrimaryKey, asRecord, asRow, asString, asTimestamp, getType, isArray, isAtomic, isBinary, isBoolean, isComplex, isDouble, isEMPTY, isEnum, isFixedBinary, isFloat, isIndexKey, isInteger, isJsonNull, isLong, isMap, isNull, isNumber, isNumeric, isPrimaryKey, isRecord, isRow, isString, isTimestamp, toJsonString`

- ## Method Details

  - ### getDefinition

    EnumDef getDefinition()
    Returns the `EnumDef` instance that defines this value.
    Specified by:
      `getDefinition` in interface `FieldValue`
    Returns:
      the EnumDef

  - ### get

    String get()
    Gets the string value of the enumeration.
    Returns:
      the string value of the EnumValue

  - ### getIndex

    int getIndex()
    Returns the index of the value in the enumeration definition. This is used for sort order when used in keys and index keys.
    Returns:
      the index of the value of this object in the enumeration definition returned by `getDefinition()`

  - ### clone

    EnumValue clone()
    Returns a deep copy of this object.
    Specified by:
      `clone` in interface `FieldValue`
    Returns:
      a deep copy of this object